---
- name: Ensure directory structure exists
  file:
    path: '{{ compose_directory }}'
    state: directory

- name: Ensure directory structure exists
  file:
    path: '{{ compose_directory }}/{{ item.path }}'
    state: directory
  with_filetree: "templates/compose/"
  when: item.state == 'directory'

- name: Ensure files are populated from templates
  template:
    src: '{{ item.src }}'
    dest: "{{ compose_directory }}/{{ item.path | regex_replace('.j2') }}"
  with_filetree: "templates/compose/"
  when: item.state == 'file'
